include(`macros.m4')
<HTML>
<HEAD>
<TITLE>"The Next Level" Desktop Configuration, Troubleshooting</TITLE>
</HEAD>
<BODY>
TOC_HEADING
<H2><A NAME="troubleshooting">Troubleshooting and Debugging</A></H2>

If things don't go well, here are a couple things to try:

<UL>
  <LI> Watch <TT>startx</TT>'s output, or look at
<TT>/usr/lib/X11/xdm/xdm-errors</TT> if you are using <TT>xdm</TT>
  <LI> <TT>tail -f .FVWM2-errors</TT> in an xterm while starting or restarting
       FVWM
  <LI> Look at the postprocessed output of FvwmM4, in <TT>/tmp/fvwmrc*</TT>.
       You can use "<TT>ls -tl /tmp/fvwmrc* | head -1</TT>" to find out which
       file is most recent
  <LI> Use "<TT>xrdb -query</TT>" to look at your X resources settings
  <LI> Look at application widget hierarchies using <TT>editres</TT>
  <LI> Try out changes to <TT>.fvwm2rc.*</TT> using "<TT>m4
.fvwm2rc.m4 | more</TT>"
  <LI> Check your path and environment that FVWM is running in, looking at
       <TT>/tmp/Xrootenv.0</TT>
  <LI> Ensure you're running the proper <TT>.xinitrc</TT> or <TT>.xsession</TT>
       by looking at your <TT>startx</TT> script or your <TT>xdm</TT>
configuration
  <LI> Ask for help.
</UL>

ADDRESS_FOOTER

</BODY>
</HTML>
